import { ConsumerConfigs } from "../interfaces/consumer-configs";
import { RabbitMqConsumerSetupFunction } from '../interfaces/rabbit-mq-setup-function';
import { Consumer } from "../models/consumer";
import { RabbitMqConnection } from '../models/rabbitmq-connection';
export declare class ConsumerFactory {
    private readonly connection;
    private configs;
    private customSetupFunction;
    constructor(connection: RabbitMqConnection);
    setConfigs(configs: ConsumerConfigs): void;
    setCustomSetupFunction(setupFunction: RabbitMqConsumerSetupFunction): void;
    newConsumer(): Promise<Consumer>;
}
