import { PublisherConfigs } from '../interfaces/publisher-configs';
import { RabbitMqPublisherSetupFunction } from '../interfaces/rabbit-mq-setup-function';
import { Publisher } from '../models/publisher';
import { RabbitMqConnection } from '../models/rabbitmq-connection';
export declare class PublisherFactory {
    private readonly connection;
    private configs;
    private setupFunction;
    constructor(connection: RabbitMqConnection);
    setConfigs(configs: PublisherConfigs): void;
    setCustomSetupFunction(setupFunction: RabbitMqPublisherSetupFunction): void;
    newPublisher(): Promise<Publisher>;
}
