import { Channel, Connection, Message } from 'amqplib';
import { Observable, ReplaySubject } from 'rxjs';
import { ConsumerConfigs } from '../interfaces/consumer-configs';
import { RabbitMqConsumerSetupFunction } from '../interfaces/rabbit-mq-setup-function';
import { RabbitMqPeer } from '../interfaces/rabbitmq-peer';
import { RabbitMqConnection } from './rabbitmq-connection';
export declare class Consumer implements RabbitMqPeer {
    private subject;
    private rawConfigs;
    private configs;
    private channel;
    private connection;
    private customSetupFunction;
    constructor();
    private fillEmptyConfigsWithDefaults;
    private defaultSetup;
    setConfigs(configs: ConsumerConfigs): void;
    setCustomSetupFunction(setupFunction: RabbitMqConsumerSetupFunction): void;
    init(connection: RabbitMqConnection): Promise<void>;
    reconnect(): Observable<void>;
    closeChannel(): Promise<void>;
    getActiveChannel(): Channel;
    getActiveConnection(): Connection;
    startConsuming(): ReplaySubject<Message>;
    getActiveConfigs(): ConsumerConfigs;
    commitMessage(amqpMessage: Message): void;
    rejectMessage(message: Message, allUpToCurrent?: boolean, requeue?: boolean): void;
}
