import { Channel, Connection } from 'amqplib';
import { BehaviorSubject } from 'rxjs/internal/BehaviorSubject';
import { Observable } from 'rxjs/internal/Observable';
import { PublisherConfigs } from '../interfaces/publisher-configs';
import { RabbitMqPublisherSetupFunction } from '../interfaces/rabbit-mq-setup-function';
import { RabbitMqPeer } from '../interfaces/rabbitmq-peer';
import { RabbitMqConnection } from './rabbitmq-connection';
export declare class Publisher implements RabbitMqPeer {
    private connection;
    private channel;
    private subject;
    private rawConfigs;
    private configs;
    private customSetupFunction;
    constructor();
    private fillEmptyConfigsWithDefaults;
    private defaultSetup;
    setConfigs(configs: PublisherConfigs): void;
    setCustomSetupFunction(setupFunction: RabbitMqPublisherSetupFunction): void;
    init(connection: RabbitMqConnection): Promise<void>;
    reconnect(): Observable<void>;
    closeChannel(): Promise<void>;
    getActiveChannel(): Channel;
    getActiveConnection(): Connection;
    getActiveConfigs(): PublisherConfigs;
    actionsStream(): BehaviorSubject<string>;
    publishMessage(message: Buffer, routingKey?: string, options?: any): Promise<void>;
}
